apiVersion: apps/v1
kind: Deployment
metadata:
  name: front-door-display
spec:
  replicas: 1
  selector:
    matchLabels:
      app: front-door-display
  template:
    metadata:
      labels:
        app: front-door-display
      annotations: { prometheus.io/scrape: "false" }
    spec:
      containers:

        - name: vite
          image: bang5:5000/front_door_display_image
          command:
            - pnpx
            - vite
          ports:
            - containerPort: 8002
---
apiVersion: v1
kind: Service
metadata:
  name: front-door-display
spec:
  ports:
    - {port: 80, targetPort: 8000, name: py}
    - {port: 82, targetPort: 8002, name: vite}
  selector:
    app: front-door-display
